# -*- makefile -*-
# $Id:$
# $Name:  $
######################################################################

TARGET_REMAKE_CONFIGURE	= yes
TARGET_REMAKE_MAKEFILES	= GNUmakefile
TARGET_REMAKE_HEADERS	= AnalysisCode/config.h
TARGET_SHLIBS 		= libAnalysisCode.so
TARGET_DATA		= $(top_srcdir)/misc/jobOptions.txt:AnalysisCode/AnalysisCodeJobOptions.txt

FLAGS = -I. -I$(top_srcdir)

libAnalysisCode.so_LINKSET	   = AnalysisCode
libAnalysisCode.so_CXXCPPFLAGS = $(FLAGS)
libAnalysisCode.so_SRC         = $(wildcard $(srcdir)/src/*.cxx)
# Two new entries required by Athena:
libAnalysisCode.so_LDFLAGS     = -Wl,-Bsymbolic
#libAnalysisCode.so_LIBS        = -lGaudiBase
######################################################################
include $(SRT_HOME)/standard.mk

distclean-local:; -rm -f config.h GNUmakefile

override c++_CXXFLAGS := $(filter-out -pedantic, $(c++_CXXFLAGS)) \
                         -Df2cFortran

